package com.xydl.cac.service;


import com.xydl.cac.entity.I2syncConfig;
import com.xydl.cac.entity.I2syncField;
import com.xydl.cac.entity.I2syncRecord;
import com.xydl.cac.entity.ModevType;

import java.util.List;

public interface I2syncService {

    List<ModevType> listFieldConfig();

    List<I2syncField> listFieldConfig(String tablename);

    void updateFieldConfig(ModevType item);

    void delFieldConfig(String tablename);

    List<I2syncConfig> listConfig();

    void addConfig(I2syncConfig item) throws Exception;

    void delConfig(Integer id);

    List<I2syncRecord> listRecord(Integer modevtypeId);
}
